#version 300 es
precision highp float;

uniform sampler2D uPassTex;
uniform sampler2D uLockPic;
uniform float uRate;

in vec2 vUV;
out vec4 fragColor;

void main() {
    fragColor = mix(texture(uPassTex, vUV), texture(uLockPic, vec2(vUV.x, 1.0-vUV.y)), uRate);
}